Index: svn/src/northbridge/via/cn400/vga.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/vga.c
+++ svn/src/northbridge/via/cn400/vga.c
@@ -52,14 +52,14 @@ static void vga_init(device_t dev)
 #endif
 
 	temp = (0xffffffff - CONFIG_FALLBACK_SIZE - 0xffff);
-	printk(BIOS_DEBUG, "Copying BOCHS BIOS from 0x%08X	to 0xf000\n", temp);
+	printk(DEBUG, "Copying BOCHS BIOS from 0x%08X	to 0xf000\n", temp);
 	/*
 	 * Copy BOCHS BIOS from 4G-CONFIG_FALLBACK_SIZE-64k (in flash) to 0xf0000 (in RAM)
 	 * This is for compatibility with the VGA ROM's BIOS callbacks.
 	 */
 	//memcpy(0xf0000, (0xffffffff - CONFIG_ROM_SIZE - 0xffff), 0x10000);
 	memcpy(0xf0000, temp, 0x10000);
-	printk(BIOS_DEBUG, "Initializing VGA\n");
+	printk(DEBUG, "Initializing VGA\n");
 
 	/* Set memory rate to 200 MHz. */
 	outb(0x3d, CRTM_INDEX);
@@ -79,12 +79,12 @@ static void vga_init(device_t dev)
 	pci_write_config32(dev, 0x10, 0xf0000008);
 	pci_write_config32(dev, 0x14, 0xf4000000);
 
-	printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
+	printk(DEBUG, "INSTALL REAL-MODE IDT\n");
 	setup_realmode_idt();
-	printk(BIOS_DEBUG, "DO THE VGA BIOS\n");
+	printk(DEBUG, "DO THE VGA BIOS\n");
 	do_vgabios();
 	/* VGA seems to work without this, but crash & burn with it. */
-	// printk(BIOS_DEBUG, "Enable VGA console\n");
+	// printk(DEBUG, "Enable VGA console\n");
 	// vga_enable_console();
 
 	/* It's not clear if these need to be programmed before or after
@@ -106,17 +106,17 @@ static void vga_init(device_t dev)
 	memset(0xf0000, 0, 0x10000);
 
 #ifdef DEBUG_CN400
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 #endif
 }
Index: svn/src/northbridge/via/cn400/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/vgabios.c
+++ svn/src/northbridge/via/cn400/vgabios.c
@@ -349,17 +349,17 @@ void do_vgabios(void)
 	dev = dev_find_class(PCI_CLASS_DISPLAY_VGA<<8 , 0);
 
 	if (!dev) {
-		printk(BIOS_DEBUG, "NO VGA FOUND\n");
+		printk(DEBUG, "NO VGA FOUND\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
+	printk(DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
 
 	/* declare rom address here - keep any config data out of the way
 	 * of core LXB stuff */
 
         rom = cbfs_load_optionrom(dev->vendor, dev->device, 0);
 	pci_write_config32(dev, PCI_ROM_ADDRESS, rom|1);
-	printk(BIOS_DEBUG, "VGA BIOS ROM base address: %x\n", rom);
+	printk(DEBUG, "VGA BIOS ROM base address: %x\n", rom);
 
 	buf = (unsigned char *) rom;
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
@@ -371,13 +371,13 @@ void do_vgabios(void)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk(BIOS_DEBUG, "bus/devfn = %#lx\n", busdevfn);
+			printk(DEBUG, "bus/devfn = %#lx\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
-			printk(BIOS_DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
+			printk(DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
 	} else 
-		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
+		printk(DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
@@ -562,28 +562,28 @@ int biosint(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 	
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n", 
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		      eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
+	printk(DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception %lu\n", intnumber);
+		printk(INFO, "biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *) esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *) esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out\n");
+		printk(DEBUG, "biosint: Bailing out\n");
 		// "longjmp"
 		vga_exit();
 		break;
@@ -602,7 +602,7 @@ int biosint(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
+		printk(INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
@@ -727,7 +727,7 @@ pcibios(unsigned long *pedi, unsigned lo
 			// devfn is an int, so we mask it off. 
 			busdevfn = (dev->bus->secondary << 8)
 				| (dev->path.pci.devfn & 0xff);
-			printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
+			printk(DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
 			*pebx = busdevfn;
 			retval = 0;
 		} else {
@@ -753,7 +753,7 @@ pcibios(unsigned long *pedi, unsigned lo
 		reg = *pedi;
 		dev = dev_find_slot(bus, devfn);
 		if (! dev) {
-			printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
+			printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
 			// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 			*peax = PCIBIOS_BADREG;
 			retval = -1;
@@ -787,14 +787,14 @@ pcibios(unsigned long *pedi, unsigned lo
 		
 		if (retval) 
 			retval = PCIBIOS_BADREG;
-		printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+		printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 		*peax = 0;
 		retval = 0;
 	}
 	break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
 		break;
 	}
 	
Index: svn/src/northbridge/via/cn400/vlink.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/vlink.c
+++ svn/src/northbridge/via/cn400/vlink.c
@@ -43,7 +43,7 @@ static void vlink_init(device_t dev)
 	u8 reg, reg8;
 	int i, j;
 
-	printk(BIOS_SPEW, "Entering CN400 %s\n", __func__);
+	printk(SPEW, "Entering CN400 %s\n", __func__);
 
 	/* Disconnect the VLink Before Changing Settings */
 	reg = pci_read_config8(dev, 0x47);
@@ -107,17 +107,17 @@ static void vlink_init(device_t dev)
 	reg &= ~0x04;
 	pci_write_config8(dev, 0x47, reg);
 
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 #endif
 }
@@ -141,19 +141,19 @@ static void c3_host_init(device_t dev)
 	u8 reg8;
 	int i, j;
 
-	printk(BIOS_SPEW, "Entering CN400 %s\n", __func__);
+	printk(SPEW, "Entering CN400 %s\n", __func__);
 
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 
 }
@@ -178,19 +178,19 @@ static void c3_err_init(device_t dev)
 	u8 reg8;
 	int i, j;
 
-	printk(BIOS_SPEW, "Entering CN400 %s\n", __func__);
+	printk(SPEW, "Entering CN400 %s\n", __func__);
 
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 
 }
@@ -214,19 +214,19 @@ static void cn400_pm_init(device_t dev)
 	u8 reg8;
 	int i, j;
 
-	printk(BIOS_SPEW, "Entering CN400 %s\n", __func__);
+	printk(SPEW, "Entering CN400 %s\n", __func__);
 
-	printk(BIOS_SPEW, "%s PCI Header Regs::\n", dev_path(dev));
+	printk(SPEW, "%s PCI Header Regs::\n", dev_path(dev));
 
 	for (i = 0 ; i < 16; i++)
 	{
-		printk(BIOS_SPEW, "%02X: ", i*16);
+		printk(SPEW, "%02X: ", i*16);
 		for (j = 0; j < 16; j++)
 		{
 			reg8 = pci_read_config8(dev, j+(i*16));
-			printk(BIOS_SPEW, "%02X ", reg8);
+			printk(SPEW, "%02X ", reg8);
 		}
-		printk(BIOS_SPEW, "\n");
+		printk(SPEW, "\n");
 	}
 
 }
Index: svn/src/northbridge/via/cn700/agp.c
===================================================================
--- svn.orig/src/northbridge/via/cn700/agp.c
+++ svn/src/northbridge/via/cn700/agp.c
@@ -34,7 +34,7 @@ static void agp_init(device_t dev)
 	u32 reg32;
 
 	/* Some of this may not be necessary (should be handled by the OS). */
-	printk(BIOS_DEBUG, "Enabling AGP.\n");
+	printk(DEBUG, "Enabling AGP.\n");
 
 	/* Allow R/W access to AGP registers. */
 	pci_write_config8(dev, 0x4d, 0x15);
@@ -124,7 +124,7 @@ static const struct pci_driver agp_drive
  */
 static void agp_bridge_init(device_t dev)
 {
-	printk(BIOS_DEBUG, "Setting up AGP bridge device\n");
+	printk(DEBUG, "Setting up AGP bridge device\n");
 
 	pci_write_config16(dev, 0x4, 0x0007);
 
Index: svn/src/northbridge/via/cn700/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/cn700/northbridge.c
+++ svn/src/northbridge/via/cn700/northbridge.c
@@ -155,7 +155,7 @@ static void pci_domain_set_resources(dev
 	device_t mc_dev;
 	u32 pci_tolm;
 
-	printk(BIOS_SPEW, "Entering cn700 pci_domain_set_resources.\n");
+	printk(SPEW, "Entering cn700 pci_domain_set_resources.\n");
 
 	pci_tolm = find_pci_tolm(&dev->link[0]);
 	mc_dev = dev_find_device(PCI_VENDOR_ID_VIA,
@@ -177,7 +177,7 @@ static void pci_domain_set_resources(dev
 		}
 
 		tomk = rambits * 64 * 1024;
-		printk(BIOS_SPEW, "tomk is 0x%lx\n", tomk);
+		printk(SPEW, "tomk is 0x%lx\n", tomk);
 		/* Compute the Top Of Low Memory (TOLM), in Kb. */
 		tolmk = pci_tolm >> 10;
 		if (tolmk >= tomk) {
@@ -188,7 +188,7 @@ static void pci_domain_set_resources(dev
 #if CONFIG_WRITE_HIGH_TABLES == 1
 		high_tables_base = (tolmk - CONFIG_VIDEO_MB * 1024 - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
-		printk(BIOS_DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
+		printk(DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
 #endif
 
 		/* Report the memory regions. */
@@ -229,7 +229,7 @@ static const struct device_operations cp
 
 static void enable_dev(struct device *dev)
 {
-	printk(BIOS_SPEW, "In cn700 enable_dev for device %s.\n", dev_path(dev));
+	printk(SPEW, "In cn700 enable_dev for device %s.\n", dev_path(dev));
 
 	/* Set the operations if it is a special bus type. */
 	if (dev->path.type == DEVICE_PATH_PCI_DOMAIN) {
Index: svn/src/northbridge/via/cn700/vga.c
===================================================================
--- svn.orig/src/northbridge/via/cn700/vga.c
+++ svn/src/northbridge/via/cn700/vga.c
@@ -54,7 +54,7 @@ static void vga_init(device_t dev)
 	 */
 	memcpy(0xf0000, (0xffffffff - CONFIG_ROM_SIZE - 0xffff), 0x10000);
 
-	printk(BIOS_DEBUG, "Initializing VGA\n");
+	printk(DEBUG, "Initializing VGA\n");
 
 	/* Set memory rate to 200 MHz. */
 	outb(0x3d, CRTM_INDEX);
@@ -74,12 +74,12 @@ static void vga_init(device_t dev)
 	pci_write_config32(dev, 0x10, 0xf4000008);
 	pci_write_config32(dev, 0x14, 0xfb000000);
 
-	printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
+	printk(DEBUG, "INSTALL REAL-MODE IDT\n");
 	setup_realmode_idt();
-	printk(BIOS_DEBUG, "DO THE VGA BIOS\n");
+	printk(DEBUG, "DO THE VGA BIOS\n");
 	do_vgabios();
 	/* VGA seems to work without this, but crash & burn with it. */
-	// printk(BIOS_DEBUG, "Enable VGA console\n");
+	// printk(DEBUG, "Enable VGA console\n");
 	// vga_enable_console();
 
 	/* It's not clear if these need to be programmed before or after
Index: svn/src/northbridge/via/cn700/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/cn700/vgabios.c
+++ svn/src/northbridge/via/cn700/vgabios.c
@@ -349,17 +349,17 @@ void do_vgabios(void)
 	dev = dev_find_class(PCI_CLASS_DISPLAY_VGA<<8 , 0);
 
 	if (!dev) {
-		printk(BIOS_DEBUG, "NO VGA FOUND\n");
+		printk(DEBUG, "NO VGA FOUND\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
+	printk(DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
 
 	/* declare rom address here - keep any config data out of the way
 	 * of core LXB stuff */
 
 	rom = cbfs_load_optionrom(dev->vendor, dev->device, 0);
 	pci_write_config32(dev, PCI_ROM_ADDRESS, rom|1);
-	printk(BIOS_DEBUG, "rom base, size: %x\n", rom);
+	printk(DEBUG, "rom base, size: %x\n", rom);
 
 	buf = (unsigned char *) rom;
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
@@ -371,13 +371,13 @@ void do_vgabios(void)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk(BIOS_DEBUG, "bus/devfn = %#lx\n", busdevfn);
+			printk(DEBUG, "bus/devfn = %#lx\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
-			printk(BIOS_DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
+			printk(DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
 	} else 
-		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
+		printk(DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
@@ -562,28 +562,28 @@ int biosint(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 	
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n", 
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		      eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
+	printk(DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception %lu\n", intnumber);
+		printk(INFO, "biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *) esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *) esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out\n");
+		printk(DEBUG, "biosint: Bailing out\n");
 		// "longjmp"
 		vga_exit();
 		break;
@@ -602,7 +602,7 @@ int biosint(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
+		printk(INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
@@ -727,7 +727,7 @@ pcibios(unsigned long *pedi, unsigned lo
 			// devfn is an int, so we mask it off. 
 			busdevfn = (dev->bus->secondary << 8)
 				| (dev->path.pci.devfn & 0xff);
-			printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
+			printk(DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
 			*pebx = busdevfn;
 			retval = 0;
 		} else {
@@ -753,7 +753,7 @@ pcibios(unsigned long *pedi, unsigned lo
 		reg = *pedi;
 		dev = dev_find_slot(bus, devfn);
 		if (! dev) {
-			printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
+			printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
 			// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 			*peax = PCIBIOS_BADREG;
 			retval = -1;
@@ -787,14 +787,14 @@ pcibios(unsigned long *pedi, unsigned lo
 		
 		if (retval) 
 			retval = PCIBIOS_BADREG;
-		printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+		printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 		*peax = 0;
 		retval = 0;
 	}
 	break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
 		break;
 	}
 	
Index: svn/src/northbridge/via/cx700/cx700_lpc.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/cx700_lpc.c
+++ svn/src/northbridge/via/cx700/cx700_lpc.c
@@ -56,7 +56,7 @@ static unsigned char *pin_to_irq(const u
 
 static void pci_routing_fixup(struct device *dev)
 {
-	printk(BIOS_DEBUG, "%s: device is %p\n", __FUNCTION__, dev);
+	printk(DEBUG, "%s: device is %p\n", __FUNCTION__, dev);
 
 	/* set up PCI IRQ routing */
 	pci_write_config8(dev, 0x55, pci_irqs[0] << 4);
@@ -64,17 +64,17 @@ static void pci_routing_fixup(struct dev
 	pci_write_config8(dev, 0x57, pci_irqs[3] << 4);
 
 	/* Assigning IRQs */
-	printk(BIOS_DEBUG, "Setting up USB interrupts.\n");
+	printk(DEBUG, "Setting up USB interrupts.\n");
 	pci_assign_irqs(0, 0x10, pin_to_irq(usb_pins));
 
-	printk(BIOS_DEBUG, "Setting up VGA interrupts.\n");
+	printk(DEBUG, "Setting up VGA interrupts.\n");
 	pci_assign_irqs(1, 0x00, pin_to_irq(vga_pins));
 
-	printk(BIOS_DEBUG, "Setting up PCI slot interrupts.\n");
+	printk(DEBUG, "Setting up PCI slot interrupts.\n");
 	pci_assign_irqs(2, 0x04, pin_to_irq(slot_pins));
 	// more?
 
-	printk(BIOS_DEBUG, "Setting up AC97 interrupts.\n");
+	printk(DEBUG, "Setting up AC97 interrupts.\n");
 	pci_assign_irqs(0x80, 0x1, pin_to_irq(ac97_pins));
 }
 
@@ -169,7 +169,7 @@ static void cx700_set_lpc_registers(stru
 {
 	unsigned char enables;
 
-	printk(BIOS_DEBUG, "VIA CX700 LPC bridge init\n");
+	printk(DEBUG, "VIA CX700 LPC bridge init\n");
 
 	// enable the internal I/O decode
 	enables = pci_read_config8(dev, 0x6C);
Index: svn/src/northbridge/via/cx700/cx700_sata.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/cx700_sata.c
+++ svn/src/northbridge/via/cx700/cx700_sata.c
@@ -46,7 +46,7 @@ static void sata_init(struct device *dev
 {
 	u8 reg8;
 
-	printk(BIOS_DEBUG, "Configuring VIA SATA & EIDE Controller\n");
+	printk(DEBUG, "Configuring VIA SATA & EIDE Controller\n");
 
 	/* Class IDE Disk, instead of RAID controller */
 	reg8 = pci_read_config8(dev, 0x45);
@@ -57,7 +57,7 @@ static void sata_init(struct device *dev
 	pci_write_config8(dev, 0x45, reg8);
 
 #if defined(DISABLE_SATA) && (DISABLE_SATA == 1)
-	printk(BIOS_INFO, "Disabling SATA (Primary Channel)\n");
+	printk(INFO, "Disabling SATA (Primary Channel)\n");
 	/* Disable SATA channels */
 	pci_write_config8(dev, 0x40, 0x00);
 #else
@@ -132,12 +132,12 @@ static void sata_init(struct device *dev
 	reg8 &= ~0xa0;
 	pci_write_config8(dev, 0x42, reg8);
 	reg8 = pci_read_config8(dev, 0x42);
-	printk(BIOS_DEBUG, "Reg 0x42 read back as 0x%x\n", reg8);
+	printk(DEBUG, "Reg 0x42 read back as 0x%x\n", reg8);
 
 	/* Support Staggered Spin-Up */
 	reg8 = pci_read_config8(dev, 0xb9);
 	if ((reg8 & 0x8) == 0) {
-		printk(BIOS_DEBUG, "start OOB sequence on both drives\n");
+		printk(DEBUG, "start OOB sequence on both drives\n");
 		reg8 |= 0x30;
 		pci_write_config8(dev, 0xb9, reg8);
 	}
Index: svn/src/northbridge/via/cx700/cx700_usb.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/cx700_usb.c
+++ svn/src/northbridge/via/cx700/cx700_usb.c
@@ -28,7 +28,7 @@ static void usb_init(struct device *dev)
 	u8 reg8;
 
 	/* USB Specification says the device must be Bus Master */
-	printk(BIOS_DEBUG, "UHCI: Setting up controller.. ");
+	printk(DEBUG, "UHCI: Setting up controller.. ");
 
 	reg32 = pci_read_config32(dev, PCI_COMMAND);
 	pci_write_config32(dev, PCI_COMMAND, reg32 | PCI_COMMAND_MASTER);
@@ -37,7 +37,7 @@ static void usb_init(struct device *dev)
 	reg8 |= (1 << 0);
 	pci_write_config8(dev, 0xca, reg8);
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 }
 
 static struct device_operations usb_ops = {
Index: svn/src/northbridge/via/cx700/cx700_vga.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/cx700_vga.c
+++ svn/src/northbridge/via/cx700/cx700_vga.c
@@ -49,7 +49,7 @@ void write_protect_vgabios(void)
 {
 	device_t dev;
 
-	printk(BIOS_DEBUG, "write_protect_vgabios\n");
+	printk(DEBUG, "write_protect_vgabios\n");
 
 	dev = dev_find_device(PCI_VENDOR_ID_VIA, 0x3324, 0);
 	if (dev)
@@ -64,7 +64,7 @@ static void vga_init(device_t dev)
 {
 	u8 reg8;
 
-	printk(BIOS_DEBUG, "Initializing VGA...\n");
+	printk(DEBUG, "Initializing VGA...\n");
 
 	//*
 	pci_write_config8(dev, 0x04, 0x07);
@@ -75,10 +75,10 @@ static void vga_init(device_t dev)
 	pci_write_config8(dev, 0x3c, 0x0b);
 	//*/
 
-	printk(BIOS_DEBUG, "Executing VGA option rom in real mode\n");
+	printk(DEBUG, "Executing VGA option rom in real mode\n");
 	setup_realmode_idt();
 	do_vgabios();
-	printk(BIOS_DEBUG, "Enable VGA console\n");
+	printk(DEBUG, "Enable VGA console\n");
 	vga_enable_console();
 
 	/* It's not clear if these need to be programmed before or after
Index: svn/src/northbridge/via/cx700/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/northbridge.c
+++ svn/src/northbridge/via/cx700/northbridge.c
@@ -119,7 +119,7 @@ static void pci_domain_set_resources(dev
 #if CONFIG_WRITE_HIGH_TABLES == 1
 	high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 	high_tables_size = HIGH_TABLES_SIZE* 1024;
-	printk(BIOS_DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
+	printk(DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
 #endif
 
 	/* Report the memory regions */
Index: svn/src/northbridge/via/cx700/raminit.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/raminit.c
+++ svn/src/northbridge/via/cx700/raminit.c
@@ -26,7 +26,7 @@
 
 /* Debugging macros. */
 #if CONFIG_DEBUG_RAM_SETUP
-#define PRINTK_DEBUG(x...)      printk(BIOS_DEBUG, x)
+#define PRINTK_DEBUG(x...)      printk(DEBUG, x)
 #else
 #define PRINTK_DEBUG(x...)
 #endif
@@ -105,9 +105,9 @@
 #define REGISTERPRESET(bus,dev,fun,bdfspec) \
 	{ u8 i, reg; \
 		for (i=0; i<(sizeof((bdfspec))/sizeof(struct regmask)); i++) { \
-			printk(BIOS_DEBUG, "Writing bus " #bus " dev " #dev " fun " #fun " register "); \
-			printk(BIOS_DEBUG, "%02x", (bdfspec)[i].reg); \
-			printk(BIOS_DEBUG, "\n"); \
+			printk(DEBUG, "Writing bus " #bus " dev " #dev " fun " #fun " register "); \
+			printk(DEBUG, "%02x", (bdfspec)[i].reg); \
+			printk(DEBUG, "\n"); \
 			reg = pci_read_config8(PCI_DEV((bus), (dev), (fun)), (bdfspec)[i].reg); \
 			reg &= (bdfspec)[i].mask; \
 			reg |= (bdfspec)[i].val; \
@@ -184,7 +184,7 @@ static void sdram_set_safe_values(const 
 
 	regs = pci_read_config8(MEMCTRL, 0x6c);
 	if (regs & (1 << 6))
-		printk(BIOS_DEBUG, "DDR2 Detected.\n");
+		printk(DEBUG, "DDR2 Detected.\n");
 	else
 		die("ERROR: DDR1 memory detected but not supported by coreboot.\n");
 
@@ -201,25 +201,25 @@ static void sdram_set_safe_values(const 
 	/* SPD 9 SDRAM Cycle Time */
 	GET_SPD(dimm, spds, regs, 9);
 
-	printk(BIOS_DEBUG, "\nDDRII ");
+	printk(DEBUG, "\nDDRII ");
 	if (spds <= 0x3d) {
-		printk(BIOS_DEBUG, "533");
+		printk(DEBUG, "533");
 		val = DDRII_533;
 		t = 38;
 	} else if (spds <= 0x50) {
-		printk(BIOS_DEBUG, "400");
+		printk(DEBUG, "400");
 		val = DDRII_400;
 		t = 50;
 	} else if (spds <= 0x60) {
-		printk(BIOS_DEBUG, "333");
+		printk(DEBUG, "333");
 		val = DDRII_333;
 		t = 60;
 	} else if (spds <= 0x75) {
-		printk(BIOS_DEBUG, "266");
+		printk(DEBUG, "266");
 		val = DDRII_266;
 		t = 75;
 	} else {
-		printk(BIOS_DEBUG, "200");
+		printk(DEBUG, "200");
 		val = DDRII_200;
 		t = 100;
 	}
@@ -259,45 +259,45 @@ static void sdram_set_safe_values(const 
 	/* SPD 9 18 23 25 CAS Latency NB3DRAM_REG62[2:0] */
 	/* Read SPD byte 18 CAS Latency */
 	GET_SPD(dimm, spds, regs, SPD_CAS_LAT);
-	printk(BIOS_DEBUG, "\nCAS Supported ");
+	printk(DEBUG, "\nCAS Supported ");
 	if (spds & SPD_CAS_LAT_2)
-		printk(BIOS_DEBUG, "2 ");
+		printk(DEBUG, "2 ");
 	if (spds & SPD_CAS_LAT_3)
-		printk(BIOS_DEBUG, "3 ");
+		printk(DEBUG, "3 ");
 	if (spds & SPD_CAS_LAT_4)
-		printk(BIOS_DEBUG, "4 ");
+		printk(DEBUG, "4 ");
 	if (spds & SPD_CAS_LAT_5)
-		printk(BIOS_DEBUG, "5 ");
+		printk(DEBUG, "5 ");
 	if (spds & SPD_CAS_LAT_6)
-		printk(BIOS_DEBUG, "6");
+		printk(DEBUG, "6");
 
 	/* We don't consider CAS = 6, because CX700 doesn't support it */
-	printk(BIOS_DEBUG, "\n CAS:");
+	printk(DEBUG, "\n CAS:");
 	if (spds & SPD_CAS_LAT_5) {
-		printk(BIOS_DEBUG, "Starting at CL5");
+		printk(DEBUG, "Starting at CL5");
 		val = 0x3;
 		/* See whether we can improve it */
 		GET_SPD(dimm, tmp, regs, SPD_CAS_LAT_MIN_X_1);
 		if ((spds & SPD_CAS_LAT_4) && (tmp < 0x50)) {
-			printk(BIOS_DEBUG, "\n... going to CL4");
+			printk(DEBUG, "\n... going to CL4");
 			val = 0x2;
 		}
 		GET_SPD(dimm, tmp, regs, SPD_CAS_LAT_MIN_X_2);
 		if ((spds & SPD_CAS_LAT_3) && (tmp < 0x50)) {
-			printk(BIOS_DEBUG, "\n... going to CL3");
+			printk(DEBUG, "\n... going to CL3");
 			val = 0x1;
 		}
 	} else {
-		printk(BIOS_DEBUG, "Starting at CL4");
+		printk(DEBUG, "Starting at CL4");
 		val = 0x2;
 		GET_SPD(dimm, tmp, regs, SPD_CAS_LAT_MIN_X_1);
 		if ((spds & SPD_CAS_LAT_3) && (tmp < 0x50)) {
-			printk(BIOS_DEBUG, "\n... going to CL3");
+			printk(DEBUG, "\n... going to CL3");
 			val = 0x1;
 		}
 		GET_SPD(dimm, tmp, regs, SPD_CAS_LAT_MIN_X_2);
 		if ((spds & SPD_CAS_LAT_2) && (tmp < 0x50)) {
-			printk(BIOS_DEBUG, "\n... going to CL2");
+			printk(DEBUG, "\n... going to CL2");
 			val = 0x0;
 		}
 	}
@@ -308,7 +308,7 @@ static void sdram_set_safe_values(const 
 
 	/* SPD 27 Trp NB3DRAM_REG64[3:2] */
 	GET_SPD(dimm, spds, regs, SPD_TRP);
-	printk(BIOS_DEBUG, "\nTrp %d", spds);
+	printk(DEBUG, "\nTrp %d", spds);
 	spds >>= 2;
 	for (val = 2; val <= 5; val++) {
 		if (spds <= (val * t / 10)) {
@@ -324,7 +324,7 @@ static void sdram_set_safe_values(const 
 
 	/* SPD 29 Trcd NB3DRAM_REG64[7:6] */
 	GET_SPD(dimm, spds, regs, SPD_TRCD);
-	printk(BIOS_DEBUG, "\nTrcd %d", spds);
+	printk(DEBUG, "\nTrcd %d", spds);
 	spds >>= 2;
 	for (val = 2; val <= 5; val++) {
 		if (spds <= (val * t / 10)) {
@@ -340,7 +340,7 @@ static void sdram_set_safe_values(const 
 
 	/* SPD 30 Tras NB3DRAM_REG62[7:4] */
 	GET_SPD(dimm, spds, regs, SPD_TRAS);
-	printk(BIOS_DEBUG, "\nTras %d", spds);
+	printk(DEBUG, "\nTras %d", spds);
 	for (val = 5; val <= 20; val++) {
 		if (spds <= (val * t / 10)) {
 			val = val - 5;
@@ -355,7 +355,7 @@ static void sdram_set_safe_values(const 
 
 	/* SPD 42 SPD 40 Trfc NB3DRAM_REG61[5:0] */
 	GET_SPD(dimm, spds, regs, SPD_TRFC);
-	printk(BIOS_DEBUG, "\nTrfc %d", spds);
+	printk(DEBUG, "\nTrfc %d", spds);
 	tmp = spds;
 	GET_SPD(dimm, spds, regs, SPD_EX_TRC_TRFC);
 	if (spds & 0x1)
@@ -382,7 +382,7 @@ static void sdram_set_safe_values(const 
 		}
 	}
 	val <<= 6;
-	printk(BIOS_DEBUG, "\nTrrd val = 0x%x", val);
+	printk(DEBUG, "\nTrrd val = 0x%x", val);
 	regs = pci_read_config8(MEMCTRL, 0x63);
 	regs &= ~0xc0;
 	regs |= val;
@@ -397,7 +397,7 @@ static void sdram_set_safe_values(const 
 		}
 	}
 	val <<= 6;
-	printk(BIOS_DEBUG, "\nTwr val = 0x%x", val);
+	printk(DEBUG, "\nTwr val = 0x%x", val);
 
 	regs = pci_read_config8(MEMCTRL, 0x61);
 	regs &= ~0xc0;
@@ -407,13 +407,13 @@ static void sdram_set_safe_values(const 
 	/* SPD 37 Twtr NB3DRAM_REG63[1] */
 	GET_SPD(dimm, spds, regs, SPD_TWTR);
 	spds >>= 2;
-	printk(BIOS_DEBUG, "\nTwtr 0x%x", spds);
+	printk(DEBUG, "\nTwtr 0x%x", spds);
 	if (spds <= (t * 2 / 10))
 		val = 0;
 	else
 		val = 1;
 	val <<= 1;
-	printk(BIOS_DEBUG, "\nTwtr val = 0x%x", val);
+	printk(DEBUG, "\nTwtr val = 0x%x", val);
 
 	regs = pci_read_config8(MEMCTRL, 0x63);
 	regs &= ~0x2;
@@ -423,13 +423,13 @@ static void sdram_set_safe_values(const 
 	/* SPD 38 Trtp NB3DRAM_REG63[3] */
 	GET_SPD(dimm, spds, regs, SPD_TRTP);
 	spds >>= 2;
-	printk(BIOS_DEBUG, "\nTrtp 0x%x", spds);
+	printk(DEBUG, "\nTrtp 0x%x", spds);
 	if (spds <= (t * 2 / 10))
 		val = 0;
 	else
 		val = 1;
 	val <<= 3;
-	printk(BIOS_DEBUG, "\nTrtp val = 0x%x", val);
+	printk(DEBUG, "\nTrtp val = 0x%x", val);
 
 	regs = pci_read_config8(MEMCTRL, 0x63);
 	regs &= ~0x8;
@@ -534,7 +534,7 @@ static void sdram_set_safe_values(const 
 			val += spds;
 		}
 	}
-	printk(BIOS_DEBUG, "\nchip #%d", val);
+	printk(DEBUG, "\nchip #%d", val);
 	if (val > 18)
 		regs = 0xdb;
 	else
@@ -852,7 +852,7 @@ static void step_2_19(const struct mem_c
 	i |= DDR2_Twr_table[val];
 	read32(i);
 
-	printk(BIOS_DEBUG, "MRS = %08x\n", i);
+	printk(DEBUG, "MRS = %08x\n", i);
 
 	udelay(15);
 
@@ -1073,7 +1073,7 @@ static void sdram_enable(const struct me
 		else
 			sdram_clear_vr_addr(ctrl, i);
 	}
-	printk(BIOS_DEBUG, "\nDQSI Low %08x", dl);
+	printk(DEBUG, "\nDQSI Low %08x", dl);
 	for (dh = dl; dh < 0x3f; dh += 2) {
 		reg8 = dh & 0x3f;
 		reg8 |= 0x80;	/* Set Manual Mode */
@@ -1106,7 +1106,7 @@ static void sdram_enable(const struct me
 			break;
 		}
 	}
-	printk(BIOS_DEBUG, "\nDQSI High %02x", dh);
+	printk(DEBUG, "\nDQSI High %02x", dh);
 	pci_write_config8(PCI_DEV(0, 0, 4), SCRATCH_CHA_DQSI_LOW_REG, dl);
 	pci_write_config8(PCI_DEV(0, 0, 4), SCRATCH_CHA_DQSI_HIGH_REG, dh);
 	reg8 = pci_read_config8(MEMCTRL, 0X90) & 0X7;
